> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/ach/ach-vault-token/models.md).

# Models

## The Ach Token Response object

```json
{"openapi":"3.0.1","info":{"title":"ACH Vault","version":"2.0"},"components":{"schemas":{"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}}}}}
```

## The AchTokenResponsePayload object

```json
{"openapi":"3.0.1","info":{"title":"ACH Vault","version":"2.0"},"components":{"schemas":{"AchTokenResponsePayload":{"type":"object","properties":{"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}}}}}
```

## The Error object

```json
{"openapi":"3.0.1","info":{"title":"ACH Vault","version":"2.0"},"components":{"schemas":{"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ErrorResult object

```json
{"openapi":"3.0.1","info":{"title":"ACH Vault","version":"2.0"},"components":{"schemas":{"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ach-token object

```json
{"openapi":"3.0.1","info":{"title":"ACH Vault","version":"2.0"},"components":{"schemas":{"ach-token":{"required":["account-number","account-type","individual-name","routing-number","software-type","software-type-version"],"type":"object","properties":{"routing-number":{"type":"string","description":"Specifies the bank routing number used to create the ACH token."},"account-number":{"type":"string","description":"Specifies the bank account number (1 to 17 digits) used to create the ACH token."},"account-type":{"type":"string","description":"Specifies the type of bank account. Possible values: Checking, Savings.","enum":["Checking,Savings"]},"individual-name":{"type":"string","description":"Specifies the name of the bank account holder."},"token-description":{"type":"string","description":"Provides a description for the ACH token."},"customer-key":{"type":"string","description":"Identifies the customer associated with the ACH token."},"default":{"type":"boolean","description":"Indicates whether this token is the default payment method for the customer."},"software-type":{"type":"string","description":"Identifies the software application."},"software-type-version":{"type":"string","description":"Specifies the version of the software application."},"check-digit-enabled":{"type":"boolean","description":"Indicates whether the check-digit validation algorithm is enabled for New Zealand (NZ) bank accounts."}},"description":"Use this model when creating a new ach token","xml":{"name":"ach-token"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/ach/ach-vault-token/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
